<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/FSM/States/WeaponChambering.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/db3/_weapon_chambering_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">WeaponChambering.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../dd/db3/_weapon_chambering_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dcb/class_weapon_start_action.html">WeaponStartAction</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">simple class starting animation action specified by m_action and m_actionType  <a href="../../dd/dcb/class_weapon_start_action.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">represent weapon state base  <a href="../../d2/db4/class_weapon_state_base.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d1f/class_weapon_chambering___base.html">WeaponChambering_Base</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d19/class_weapon_chambering___cartridge.html">WeaponChambering_Cartridge</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad1ce17c776cd4615067d099f52625271"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#ad1ce17c776cd4615067d099f52625271">OnExit</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:ad1ce17c776cd4615067d099f52625271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a554194fbf83f198e8f8e9ecb7a31e330"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a554194fbf83f198e8f8e9ecb7a31e330">OnEntry</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:a554194fbf83f198e8f8e9ecb7a31e330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a204e20b35da51ddc4eb5366263cc453f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a204e20b35da51ddc4eb5366263cc453f">ChamberMultiBullet</a> (<a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> w=NULL, <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> parent=NULL, <a class="el" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a> action=<a class="el" href="../../d9/d4a/_a_i_world_8c.html#a899caa602e4fff675b17cdbab33607ec">WeaponActions.NONE</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> startActionType=-1, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> endActionType=-1)</td></tr>
<tr class="separator:a204e20b35da51ddc4eb5366263cc453f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a832fd16d806aa9791c4e3eefa9849d21"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a832fd16d806aa9791c4e3eefa9849d21">OnAbort</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:a832fd16d806aa9791c4e3eefa9849d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa92256a8653f03cce6c105c786d24f0"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#afa92256a8653f03cce6c105c786d24f0">SaveCurrentFSMState</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:afa92256a8653f03cce6c105c786d24f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab4e9f178608f1b9dc23331725a02f21"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#aab4e9f178608f1b9dc23331725a02f21">LoadCurrentFSMState</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> version)</td></tr>
<tr class="separator:aab4e9f178608f1b9dc23331725a02f21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a2cd898a6a0069c92ceaa74439a92ae55"><td class="memItemLeft" align="right" valign="top">class WeaponChambering_Cartridge_InnerMag extends <a class="el" href="../../d1/d1f/class_weapon_chambering___base.html">WeaponChambering_Base</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a2cd898a6a0069c92ceaa74439a92ae55">IsWaitingForActionFinish</a></td></tr>
<tr class="separator:a2cd898a6a0069c92ceaa74439a92ae55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9088984af4ef30aa23a15d4c50db9458"><td class="memItemLeft" align="right" valign="top">class WeaponEndAction extends <a class="el" href="../../dd/dcb/class_weapon_start_action.html">WeaponStartAction</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a></td></tr>
<tr class="separator:a9088984af4ef30aa23a15d4c50db9458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2af60ccdc5fa5a945df80a5995e4a413"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a2af60ccdc5fa5a945df80a5995e4a413">m_startActionType</a></td></tr>
<tr class="separator:a2af60ccdc5fa5a945df80a5995e4a413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ba4723c187888c7009eee8ab61d4aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a31ba4723c187888c7009eee8ab61d4aa">m_endActionType</a></td></tr>
<tr class="separator:a31ba4723c187888c7009eee8ab61d4aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32147b58d22d578c09548f9e20398c18"><td class="memItemLeft" align="right" valign="top">Magazine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a32147b58d22d578c09548f9e20398c18">m_srcMagazine</a></td></tr>
<tr class="separator:a32147b58d22d578c09548f9e20398c18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51df11c13563b7c321a0ced419f70058"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a51df11c13563b7c321a0ced419f70058">m_srcMagazinePrevLocation</a></td></tr>
<tr class="memdesc:a51df11c13563b7c321a0ced419f70058"><td class="mdescLeft">&#160;</td><td class="mdescRight">source of the cartridge  <a href="../../dd/db3/_weapon_chambering_8c.html#a51df11c13563b7c321a0ced419f70058">More...</a><br /></td></tr>
<tr class="separator:a51df11c13563b7c321a0ced419f70058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8714c06879ff0c6f3a3b75822e24288d"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a8714c06879ff0c6f3a3b75822e24288d">m_start</a></td></tr>
<tr class="separator:a8714c06879ff0c6f3a3b75822e24288d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5506923bf44e6afb580185e707a0dac"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../df/da1/class_weapon_eject_casing_multi_muzzle.html">WeaponEjectCasingMultiMuzzle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#af5506923bf44e6afb580185e707a0dac">m_eject</a></td></tr>
<tr class="separator:af5506923bf44e6afb580185e707a0dac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf31e31e29477cf69155d42c33e899e1"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d1/d1f/class_weapon_chambering___base.html">WeaponChambering_Base</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#aaf31e31e29477cf69155d42c33e899e1">m_chamber</a></td></tr>
<tr class="separator:aaf31e31e29477cf69155d42c33e899e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3ab4098e2471d66ac3d997479aa29ce"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d1/d1f/class_weapon_chambering___base.html">WeaponChambering_Base</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#ab3ab4098e2471d66ac3d997479aa29ce">m_chamber_end</a></td></tr>
<tr class="separator:ab3ab4098e2471d66ac3d997479aa29ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20f345b27baf67b3647a323a403e534b"><td class="memItemLeft" align="right" valign="top">ref LoopedChambering_Wait4ShowBullet2&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a20f345b27baf67b3647a323a403e534b">m_w4sb2</a></td></tr>
<tr class="separator:a20f345b27baf67b3647a323a403e534b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59b68c0298282227579d794a54ae83cf"><td class="memItemLeft" align="right" valign="top">ref WeaponEndAction&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a59b68c0298282227579d794a54ae83cf">m_endLoop</a></td></tr>
<tr class="separator:a59b68c0298282227579d794a54ae83cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af64fe4b9fb926da0af7f5dc9dba6ce5f"><td class="memItemLeft" align="right" valign="top">ref BulletShow_W4T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#af64fe4b9fb926da0af7f5dc9dba6ce5f">m_showB</a></td></tr>
<tr class="separator:af64fe4b9fb926da0af7f5dc9dba6ce5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2205c5d2d97e53f7f2e931d091cc2be2"><td class="memItemLeft" align="right" valign="top">ref BulletShow2_W4T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html#a2205c5d2d97e53f7f2e931d091cc2be2">m_showB2</a></td></tr>
<tr class="separator:a2205c5d2d97e53f7f2e931d091cc2be2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a204e20b35da51ddc4eb5366263cc453f" name="a204e20b35da51ddc4eb5366263cc453f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a204e20b35da51ddc4eb5366263cc453f">&#9670;&#160;</a></span>ChamberMultiBullet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ChamberMultiBullet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>&#160;</td>
          <td class="paramname"><em>w</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td>
          <td class="paramname"><em>parent</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>&#160;</td>
          <td class="paramname"><em>action</em> = <code><a class="el" href="../../d9/d4a/_a_i_world_8c.html#a899caa602e4fff675b17cdbab33607ec">WeaponActions.NONE</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>startActionType</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>endActionType</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00634">634</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="aab4e9f178608f1b9dc23331725a02f21" name="aab4e9f178608f1b9dc23331725a02f21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab4e9f178608f1b9dc23331725a02f21">&#9670;&#160;</a></span>LoadCurrentFSMState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> LoadCurrentFSMState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00855">855</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a832fd16d806aa9791c4e3eefa9849d21" name="a832fd16d806aa9791c4e3eefa9849d21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a832fd16d806aa9791c4e3eefa9849d21">&#9670;&#160;</a></span>OnAbort()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnAbort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00776">776</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a554194fbf83f198e8f8e9ecb7a31e330" name="a554194fbf83f198e8f8e9ecb7a31e330"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a554194fbf83f198e8f8e9ecb7a31e330">&#9670;&#160;</a></span>OnEntry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00185">185</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="ad1ce17c776cd4615067d099f52625271" name="ad1ce17c776cd4615067d099f52625271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1ce17c776cd4615067d099f52625271">&#9670;&#160;</a></span>OnExit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void IsWaitingForActionFinish::OnExit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00185">185</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="afa92256a8653f03cce6c105c786d24f0" name="afa92256a8653f03cce6c105c786d24f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa92256a8653f03cce6c105c786d24f0">&#9670;&#160;</a></span>SaveCurrentFSMState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> SaveCurrentFSMState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00836">836</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a2cd898a6a0069c92ceaa74439a92ae55" name="a2cd898a6a0069c92ceaa74439a92ae55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cd898a6a0069c92ceaa74439a92ae55">&#9670;&#160;</a></span>IsWaitingForActionFinish</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsWaitingForActionFinish</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00160">160</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a9088984af4ef30aa23a15d4c50db9458" name="a9088984af4ef30aa23a15d4c50db9458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9088984af4ef30aa23a15d4c50db9458">&#9670;&#160;</a></span>m_action</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class WeaponEndAction extends <a class="el" href="../../dd/dcb/class_weapon_start_action.html">WeaponStartAction</a> m_action</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf31e31e29477cf69155d42c33e899e1" name="aaf31e31e29477cf69155d42c33e899e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf31e31e29477cf69155d42c33e899e1">&#9670;&#160;</a></span>m_chamber</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d1/d1f/class_weapon_chambering___base.html">WeaponChambering_Base</a> m_chamber</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00627">627</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="ab3ab4098e2471d66ac3d997479aa29ce" name="ab3ab4098e2471d66ac3d997479aa29ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3ab4098e2471d66ac3d997479aa29ce">&#9670;&#160;</a></span>m_chamber_end</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d1/d1f/class_weapon_chambering___base.html">WeaponChambering_Base</a> m_chamber_end</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00628">628</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="af5506923bf44e6afb580185e707a0dac" name="af5506923bf44e6afb580185e707a0dac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5506923bf44e6afb580185e707a0dac">&#9670;&#160;</a></span>m_eject</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../df/da1/class_weapon_eject_casing_multi_muzzle.html">WeaponEjectCasingMultiMuzzle</a> m_eject</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00626">626</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a31ba4723c187888c7009eee8ab61d4aa" name="a31ba4723c187888c7009eee8ab61d4aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31ba4723c187888c7009eee8ab61d4aa">&#9670;&#160;</a></span>m_endActionType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_endActionType</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00621">621</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a59b68c0298282227579d794a54ae83cf" name="a59b68c0298282227579d794a54ae83cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59b68c0298282227579d794a54ae83cf">&#9670;&#160;</a></span>m_endLoop</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref WeaponEndAction m_endLoop</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00630">630</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="af64fe4b9fb926da0af7f5dc9dba6ce5f" name="af64fe4b9fb926da0af7f5dc9dba6ce5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af64fe4b9fb926da0af7f5dc9dba6ce5f">&#9670;&#160;</a></span>m_showB</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref BulletShow_W4T m_showB</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00631">631</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a2205c5d2d97e53f7f2e931d091cc2be2" name="a2205c5d2d97e53f7f2e931d091cc2be2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2205c5d2d97e53f7f2e931d091cc2be2">&#9670;&#160;</a></span>m_showB2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref BulletShow2_W4T m_showB2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00632">632</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a32147b58d22d578c09548f9e20398c18" name="a32147b58d22d578c09548f9e20398c18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32147b58d22d578c09548f9e20398c18">&#9670;&#160;</a></span>m_srcMagazine</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Magazine m_srcMagazine</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00622">622</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a51df11c13563b7c321a0ced419f70058" name="a51df11c13563b7c321a0ced419f70058"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51df11c13563b7c321a0ced419f70058">&#9670;&#160;</a></span>m_srcMagazinePrevLocation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> m_srcMagazinePrevLocation</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>source of the cartridge </p>

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00623">623</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a8714c06879ff0c6f3a3b75822e24288d" name="a8714c06879ff0c6f3a3b75822e24288d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8714c06879ff0c6f3a3b75822e24288d">&#9670;&#160;</a></span>m_start</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> m_start</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00625">625</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a2af60ccdc5fa5a945df80a5995e4a413" name="a2af60ccdc5fa5a945df80a5995e4a413"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2af60ccdc5fa5a945df80a5995e4a413">&#9670;&#160;</a></span>m_startActionType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_startActionType</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00620">620</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a20f345b27baf67b3647a323a403e534b" name="a20f345b27baf67b3647a323a403e534b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20f345b27baf67b3647a323a403e534b">&#9670;&#160;</a></span>m_w4sb2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref LoopedChambering_Wait4ShowBullet2 m_w4sb2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00629">629</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_372752df6a93f8a8dc049f875df777d6.html">FSM</a></li><li class="navelem"><a class="el" href="../../dir_22eec264e034c1217c0d1740cfb655ec.html">States</a></li><li class="navelem"><a class="el" href="../../dd/db3/_weapon_chambering_8c.html">WeaponChambering.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
